package slgui.base;

/** This should be subclassed by applications which use the media API.
 * 
 * @author Zak Fenton
 *
 */
public abstract class MediaApp {
	protected final MediaAppId appId;
	protected final MediaAppDelegate appDelegate;

	public MediaApp(MediaSystemDelegate systemDelegate, MediaAppId appId) {
		this.appId = appId;
		appDelegate = systemDelegate.pairApp(this);
	}

	public MediaAppId getId() {
		return appId;
	}
}
