package slgui.base;

public final class MediaBox {
	public final double x;
	public final double y;
	public final double width;
	public final double height;

	public MediaBox(double x, double y, double width, double height) {
		this.x = x;
		this.y = y;
		this.width = width;
		this.height = height;
	}
	
	public boolean hits(double x, double y) {
		return (x >= this.x) && (y >= this.y) && (x <= this.x + this.width) && (y <= this.y + this.height);
	}
	
	public boolean hits(MediaPoint p) {
		return hits(p.x, p.y);
	}
}
