package slgui.demo;

import java.awt.Dimension;

import javax.swing.JFrame;
import javax.swing.SwingUtilities;

import slgui.base.MediaModel;
import slgui.space.DemoSpaceDelegate;
import slgui.space.SpaceMediaModel;
import slgui.space.SpaceState;
import slgui.swing.GameWindow;

public class Main {

	public static void main(String[] args) {
		SwingUtilities.invokeLater(new Runnable() {
			@Override
			public void run() {
				DemoSpaceDelegate d = new DemoSpaceDelegate();
				SpaceState space = new SpaceState(d);
				SpaceMediaModel model = new SpaceMediaModel(space);
				
				GameWindow w = new GameWindow("ZGame Demo");
				w.setSize(640, 480);
				w.setMinimumSize(new Dimension(400,400));
				w.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
				//w.setModel(new MediaModel());
				w.setModel(model);
				w.setVisible(true);
			}
		});
	}

}
